using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeCauseClass
    {
        public FmsWorkCodeCauseClass()
        {
            FmsWorkResult = new HashSet<FmsWorkResult>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int CauseClassId { get; set; }
        public int ParentId { get; set; }
        [Required]
        [StringLength(50)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.FmsWorkCodeCauseClass))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("FmsWorkCodeCauseClass")]
        public virtual ICollection<FmsWorkResult> FmsWorkResult { get; set; }
    }
}
